Bug 175191 - CVE-2005-4077 SA17907 cURL/libcURL URL Parsing Off-By-One Vulnerability
CVE-2005-4077 SA17907 cURL/libcURL URL Parsing Off-By-One Vulnerability
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
http://secunia.com/advisories/17907/
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-07 10:47 EST by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-08 04:31:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2005-12-07 10:47:47 EST
'Stefan Esser has reported a vulnerability in cURL/libcURL, which has an unknown
impact.'

'The vulnerability is caused due to an off-by-one error when parsing an URL that
is longer than 256 bytes. By using a specially crafted URL, a two-byte overflow
is reportedly possible. This may be exploited to corrupt memory allocation
structures. The vulnerability is reportedly exploitable only via a direct
request to cURL and not via a redirect.'

'The vulnerability has been reported in version 7.15.0 and prior.'
Comment 1 Ivana Varekova 2005-12-08 04:31:17 EST
Thank you for your bug report. 
There is the latest upstream version curl-7.15.1-1 in the devel branch now which
is fixes this problem.

Note You need to log in before you can comment on or make changes to this bug.